> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payment method for a vendor

> Create a payment method for a vendor to pay to



## OpenAPI

````yaml /v2.yaml post /v2/accounts-payable/vendors/{vendor_id}/payment-methods
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/accounts-payable/vendors/{vendor_id}/payment-methods:
    parameters:
      - schema:
          type: string
        name: vendor_id
        in: path
        required: true
        description: The ID of the Vendor
    post:
      tags:
        - accounts-payable
      summary: Create a payment method for a vendor
      description: Create a payment method for a vendor to pay to
      operationId: create-vendor-payment-method
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                ach_account_number:
                  type: string
                ach_routing_number:
                  type: string
                ach_account_type:
                  type: string
                  enum:
                    - checking
                    - savings
              required:
                - name
                - ach_account_number
                - ach_routing_number
                - ach_account_type
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vendor-payment-method'
components:
  schemas:
    vendor-payment-method:
      type: object
      properties:
        name:
          type: string
        ach_account_number:
          type: string
        ach_routing_number:
          type: string
        ach_account_type:
          type: string
          enum:
            - checking
            - savings
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````